Bug Hunting Session
Bug 122126 - Text appears askew along former row border of merged cells, zoom dependent and Intel HD Graphics
Summary: Text appears askew along former row border of merged cells, zoom dependent an...
Status: UNCONFIRMED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.7.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2018-12-15 15:12 UTC by Johnny_M
Modified: 2019-07-14 16:18 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Test spreadsheet (9.79 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-12-15 15:12 UTC, Johnny_M
Details
Screenshot showing the issue (120.11 KB, image/png)
2018-12-15 15:16 UTC, Johnny_M
Details
Screenshot showing the issue, with "use printer metrics..." deactivated (134.17 KB, image/png)
2018-12-15 16:47 UTC, Johnny_M
Details
Screenshot showing the issue, with "use printer metrics..." activated (134.17 KB, image/png)
2018-12-15 16:49 UTC, Johnny_M
Details
Screenshot showing the issue on Windows (72.29 KB, image/png)
2018-12-16 14:59 UTC, Johnny_M
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Johnny_M 2018-12-15 15:12:31 UTC
Created attachment 147575 [details]
Test spreadsheet

Text lines are cut and shifted along the former border of the merged cell. The direction and size of the shift are zoom dependent. The used font does not seem to play a role.

Test steps:
1. Open attached sample file (or re-create it by merging cells and inputting text)
2. Zoom in or out

Expected results:
2. Text letters do not get cut and shifted along their middle

Actual results:
2. Text letters get cut and shifted along their middle (corresponding to the former border of merged rows)


Note: The text gets "repaired" on update of the cell, e.g., on a change of the used font. But the issue re-appears on subsequent zooming.

Reproduced with:
Ubuntu 18.04 with LO PPA:
Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (en_US.UTF-8); Calc: group

Ubuntu 18.04 liveUSB with LO daily:
Version: 6.3.0.0.alpha0+
Build ID: ac7508c31873d79e56b406c9bf931caae63d4975
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-12-14_16:04:08
Locale: en-US (C.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Johnny_M 2018-12-15 15:16:41 UTC
Created attachment 147576 [details]
Screenshot showing the issue
Comment 2 V Stuart Foote 2018-12-15 15:38:34 UTC
Can not reproduce on Windows build 6.1.4.2, or current master.

Sounds rather like a GPU driver issue.

Please try setting/unsetting the "Use printer metrics for text formatting" checkbox in the Tools -> Options -> LibreOffice Calc -> General panel. We have seen that this will impose better structure on the cells on screen--but at a performance cost when working in the sheet.

Let us know if that corrects on screen handling.

You might also try updated drivers and a more current build of LibreOffice than 6.0.7 which is EOL.
Comment 3 Johnny_M 2018-12-15 16:47:13 UTC
Created attachment 147580 [details]
Screenshot showing the issue, with "use printer metrics..." deactivated

Thanks for the quick check!

The "Use printer metrics for text formatting" checkbox is unset by default in my case.

Unfortunately:
- With LO 6.0.7.3 on up-to-date Ubuntu 18.04.1 LTS: Toggling the "Use printer metrics for text formatting" checkbox has no affect. (The cells get re-drawn on the change, resulting in disappearance of the issue, but the issue comes back on the next zoom change.)

- With 6.3.0.0.alpha0+ (current daily) on not quite up-to-date Ubuntu 18.04.1 LTS liveUSB: With "Use printer metrics for text formatting" checkbox activated, the issue becomes worse - there is an additional vertical shift of the letter parts. See attached screenshot.

It could be a Linux or Ubuntu-specific issue, though. I don't have the combination of the current LO master on fully up-to-date Linux, unfortunately.
Comment 4 Johnny_M 2018-12-15 16:49:59 UTC
Created attachment 147581 [details]
Screenshot showing the issue, with "use printer metrics..." activated

There was an error in the screenshot naming: it should mean "activated", not "deactivated" (the latter is the default). The image content is the same.
Comment 5 Johnny_M 2018-12-16 14:59:49 UTC
Created attachment 147603 [details]
Screenshot showing the issue on Windows

I can reproduce the issue on up-to-date 64-bit Windows 10 on the same PC as well, with the current LO portable release 6.1.2:
Version: 6.1.2.1
Build-ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL

So, this might be HW dependent. The PC in question is a notebook with the Intel® Core i5-7200U processor with built-in Intel® HD Graphics 620.
Comment 6 Timur 2018-12-17 14:42:27 UTC
I'll add "Intel HD Graphics" to the title, so far. 
Johnny, you can use https://libreoffice.soluzioniopen.com/index.php/daily-version/ for testing.
Comment 7 V Stuart Foote 2018-12-18 05:24:24 UTC
(In reply to Johnny_M from comment #5)

What driver release for the Windows 10 build?

I have the same Intel 620 GPU on an Intel i7-7500U CPU
with the 24.20.100.6229 driver on an 1803 build, and can not reproduce.


Also, for the 1809 build of Windows 10 Intel is packaging Universal Windows Driver DCH drivers, currently 25.20.100.6444. So some concern going forward of  their behavior on earlier Windows 10 builds.
Comment 8 Johnny_M 2018-12-27 16:34:39 UTC
Thanks for feedback. I got my hands on a a few additional PCs and configurations, all of which show the issue:

I) A notebook of the same brand (Fujitsu), but different product line, with Intel Core i7-7500 CPU with built-in Intel HD Graphics 620:

1) With Win10 Pro 1803 (build 17134.472), Intel graphics driver version 21.20.16.4542 of October 24, 2016:
LO portable release:
Version: 6.1.2.1
Build ID: 65905a128db06ba48db947242809d14d3f9a93fe
CPU threads: 4; OS: Windows 10.0; UI render: default;
Locale: en-US (de_DE); Calc: CL


II) An ASUS desktop with Intel Core i5-6400 CPU and built-in Intel® HD Graphics 530:

1) With Win10 Home 18.03 (build 17134.472), Intel graphics driver version 22.20.16.4749 of July 24, 2017:
Version: 6.1.3.2 (x64)
Build-ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL;
Gebietsschema: de-DE (de_DE); Calc: CL 

2) With Win10 Home 18.09 (build 17763.195; after search and installation of pending Windows updates), same graphics driver as above:
Version: 6.1.4.2 (x64)
Build-ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU-Threads: 4; BS: Windows 10.0; UI-Render: GL;
Gebietsschema: de-DE (de_DE); Calc: CL 

I'm setting the HW platform to "all", since LO portable is 32 bit and is also affected.
Comment 9 Johnny_M 2018-12-27 17:01:43 UTC
(In reply to V Stuart Foote from comment #7)
> (In reply to Johnny_M from comment #5)
> 
> What driver release for the Windows 10 build?
> 
> I have the same Intel 620 GPU on an Intel i7-7500U CPU
> with the 24.20.100.6229 driver on an 1803 build, and can not reproduce.
> 
> 
> Also, for the 1809 build of Windows 10 Intel is packaging Universal Windows
> Driver DCH drivers, currently 25.20.100.6444. So some concern going forward
> of  their behavior on earlier Windows 10 builds.

P.S. details to comment 5: Win10 Home 1809 (build 17763.194), Intel graphics driver version 24.20.100.6096 of May 23, 2018.
Comment 10 Johnny_M 2019-01-05 12:25:27 UTC
One more PC (here laptop) with Intel graphics showing the issue (I have not yet come across a PC with a non-Intel graphics card so far):
Intel Pentium CPU N3520
Win10 Home 18.03 (build 17134.472), Intel graphics driver version 10.18.10.4358 of December 21, 2015

Version: 6.1.4.2 (x64)
Build-ID: 9d0f32d1f0b509096fd65e0d4bec26ddd1938fd3
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded
Comment 11 Xisco Faulí 2019-07-09 14:32:01 UTC
A new major release of LibreOffice is available since this bug was reported.
Could you please try to reproduce it with the latest version of LibreOffice
from https://www.libreoffice.org/download/libreoffice-fresh/ ?
I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the bug is still present in the latest version.
Comment 12 Johnny_M 2019-07-14 16:18:34 UTC
Still reproducible on the initial machine with current master on Ubuntu MATE 19.10 liveUSB:
Version: 6.4.0.0.alpha0+
Build ID: c54597a8905b07807952aebc24237549302fb941
CPU threads: 4; OS: Linux 5.0; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-07-10_22:22:02
Locale: en-US (C.UTF-8); UI-Language: en-US
Calc: threaded